const commPrefix = '/api/admin/'

const apis = {
  system: {
    signin: {
      url: `${commPrefix}/signin`,
      method: 'post',
    },
    signoff: {
      url: `${commPrefix}/signoff`,
      method: 'post',
    },
    currentUser: {
      url: `${commPrefix}/user/current`,
      method: 'get',
    },
  },
  consultant: {
    list: {
      url: `${commPrefix}/consultant`,
      method: 'get',
    },
    detail: {
      url: `${commPrefix}/consultant/:id`,
      method: 'get',
    },
    add: {
      url: `${commPrefix}/consultant`,
      method: 'post',
    },
    edit: {
      url: `${commPrefix}/consultant/:id`,
      method: 'put',
    },
  },
  building: {
    list: {
      method: 'get',
      url: `${commPrefix}/buildinglist`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/building/add`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/building/update`
    },
    updateStatus: {
      method: 'put',
      url: `${commPrefix}/building/update/status`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/buildingSelectId/:id`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/building/delete/:id`
    }
  },
  dynamic: {
    list: {
      method: 'get',
      url: `${commPrefix}/iBuildingDynamicList`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/iBuildingDynamicSelectId/:id`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/buildingDynamic/add`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/buildingDynamic/update`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/buildingDynamic/delete`
    },
    public: {
      method: 'put',
      url: `${commPrefix}/buildingDynamic/send/:id`
    },
    cancel: {
      method: 'put',
      url: `${commPrefix}/buildingDynamic/cancel/:id`
    },
  },
  file: {
    upload: {
      method: 'post',
      url: `${commPrefix}/image`
    },
  },
  apartment: {
    list: {
      method: 'get',
      url: `${commPrefix}/buildingApartment/buildingId/:buildingId`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/buildingApartment/:id`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/buildingApartment/add`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/buildingApartment/update`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/apartment/deleted/:id`
    }
  },
  customer:{
    list:{
      method:'get',
      url: `${commPrefix}/customer`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/customer/add`
    }
  },
  newsType: {
    list: {
      method: 'get',
      url: `${commPrefix}/taNewsType`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/taNewsType`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/taNewsType/:id`
    },
    update: {
      method: 'put',
      url: `${commPrefix}/taNewsType/:id`
    },
    getById: {
      method: 'get',
      url: `${commPrefix}/taNewsType/:id`
    }
  }
}

export default apis
