import request from '../../utils/request'
import apis from '../../config/api'
export default {
  namespaced: true,
  stare:{
    customers:{}
  },
  mutations:{
    updateList (state, payload) {
      state.customers = payload
    },
    updateDetail (state, payload) {
      state.detail = payload
    }
  },
  actions:{
    setDetailNull ({ commit }) {
      commit('updateDetail', {})
    },
    getCustomers ({ commit }, payload) {
      return new Promise((resolve, reject) => {
        request({
          ...apis.customer.list,
          params: payload,
        }).then((data) => {
          window.console.log(data)
          commit('updateList', data)
          resolve(data)
        }).catch(({ message }) => {
          if (typeof message === 'string') {
            reject(message)
          }
        })
      })
    }
    
  }
}